List assigned target languages
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/users/{userUid}/targetLangs \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/users/{userUid}/targetLangs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/users/{userUid}/targetLangs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
"<string>"
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}User
List assigned target languages
GET
/
api2
/
v1
/
users
/
{userUid}
/
targetLangs
List assigned target languages
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the user whose target languages to list
Query Parameters
Filter by job status
Available options:
NEW, ACCEPTED, DECLINED, DELIVERED, EMAILED, COMPLETED, CANCELLED Filter by project UID
Filter by workflow step ID
Filter by due time in hours. Use -1 for jobs due in the past. Does not exclude jobs by status - DELIVERED, COMPLETED, CANCELLED, DECLINED and REJECTED jobs are still matched. Combine with status (excluding DELIVERED, COMPLETED, CANCELLED, DECLINED and REJECTED) to match the product's "overdue" definition.
Required range:
x >= -1Filter by filename
Page number, starting with 0
Required range:
x >= 0Page size, accepts values between 1 and 50
Required range:
1 <= x <= 50Was this page helpful?